package ch.pizzalemon.android.model;

import com.google.gson.annotations.SerializedName;

public class PostfinancePaymentResponseModel {

    private boolean success;
    private String message;

    @SerializedName("error_code")
    private int errorCode;

    @SerializedName("data")
    private PostfinancePaymentDataModel paymentDataModel;

    public boolean isSuccess() {
        return success;
    }

    public String getMessage() {
        if(message == null){
            message = "";
        }
        return message;
    }

    public int getErrorCode() {
        return errorCode;
    }

    public PostfinancePaymentDataModel getPaymentDataModel() {
        return paymentDataModel;
    }
}
